# ParagraphStyle class

An opaque object that determines the configuration used by ParagraphBuilder to position lines within a Paragraph of text.

## Constructors

ParagraphStyle({TextAlign textAlign, TextDirection textDirection, int maxLines, String fontFamily, double fontSize, double height, FontWeight fontWeight, FontStyle fontStyle, StrutStyle strutStyle, String ellipsis, Locale locale })
  Creates a new ParagraphStyle object. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  override